Bug 841133 - CVE-2012-1151 perl-DBD-Pg: Format string flaws by turning db notices into Perl warnings and by preparing DBD statement [fedora-all]
CVE-2012-1151 perl-DBD-Pg: Format string flaws by turning db notices into Per...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-DBD-Pg (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-1151
  Show dependency treegraph
 
Reported: 2012-07-18 04:46 EDT by Huzaifa S. Sidhpurwala
Modified: 2012-08-01 14:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 14:15:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-07-18 04:46:58 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=801733

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-07-19 09:26:39 EDT
perl-DBD-Pg-2.19.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-DBD-Pg-2.19.2-1.fc17
Comment 2 Fedora Update System 2012-07-19 09:28:57 EDT
perl-DBD-Pg-2.19.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-DBD-Pg-2.19.2-1.fc16
Comment 3 Jitka Plesnikova 2012-07-19 10:18:02 EDT
Fedora 18 has already contained the version 2.19.2 of DBD-Pg which contains the fix for CVE-2012-1151.
Comment 4 Fedora Update System 2012-07-19 21:53:44 EDT
Package perl-DBD-Pg-2.19.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-DBD-Pg-2.19.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10871/perl-DBD-Pg-2.19.2-1.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-01 14:15:13 EDT
perl-DBD-Pg-2.19.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-08-01 14:24:56 EDT
perl-DBD-Pg-2.19.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.